package example.codes;

import com.silanis.esl.sdk.DocumentPackage;
import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.PackageId;

import static com.silanis.esl.sdk.builder.DocumentBuilder.newDocumentWithName;
import static com.silanis.esl.sdk.builder.PackageBuilder.newPackageNamed;
import static com.silanis.esl.sdk.builder.SignatureBuilder.signatureFor;
import static com.silanis.esl.sdk.builder.SignerBuilder.newSignerWithEmail;


public class FieldPositionExtraction {

	public static final String API_KEY = "api_key";
	public static final String API_URL = "https://sandbox.eSignLive.com/api"; 

	public static void main(String... args) {
		EslClient eslClient = new EslClient(API_KEY, API_URL);

		DocumentPackage superDuperPackage = newPackageNamed("Sample Insurance policy")
				.withSigner(newSignerWithEmail("john.smith@email.com")
						.withFirstName("John")
						.withLastName("Smith"))
				.withDocument(newDocumentWithName("First Document")
						.fromFile("C:/Users/hhaidary/Desktop/pdf/working.pdf")
						.enableExtraction()
						.withSignature(signatureFor("john.smith@email.com")
								.withName("sig1")
								.withPositionExtracted()
								))
				.build();

		PackageId packageId = eslClient.createPackage(superDuperPackage);
		eslClient.sendPackage( packageId );
	}
}